<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Http\Controllers\ProductController; 
use Illuminate\Support\Facades\{DB, Log};

class DeleteShopifyLogsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:delete-shopify-logs';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command : Pureflow delete shopify logs';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        Log::info("started => delete shopify logs");
        $createProduct =  new ProductController();
        try {
            $TenDatePrevious = date('Y-m-d', strtotime("-15 day"));
            DB::connection('mysql2')->table('shopify_product_report')
            ->where('created_at', "<=", $TenDatePrevious)
                ->delete();

            DB::connection('mysql2')->table('error_logs')
                ->where('created_at', "like", "%" . $TenDatePrevious . "%")
                ->delete();

            DB::connection('mysql2')->table('shopify_log_details')
            ->select('id')
                ->where('created_at', "like", "%" . $TenDatePrevious . "%")
                ->delete();
             
        } catch (\Exception $e) {
            $createProduct->errorLog($e, "Pureflow delete shopify logs");
            report($e);
        }
        Log::info("end => Pureflow delete shopify logs");
    }
}
