<?php

namespace App\Console\Commands\Reports;

use Illuminate\Console\Command;
use App\Http\Controllers\ProductController;
use App\Traits\{AppConstants, MagicConstants}; 
use Illuminate\Support\Facades\{DB, Log, Mail};
use App\Mail\DailyErrorLogsReportMail; 

class DailyErrorLogsReport extends Command
{
    use MagicConstants, AppConstants;
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:daily-error-logs-report';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        Log::info("DAILY ERROR LOG REPORT CRON started"); 
        $ProductController = new ProductController();
        try { 
            $recipients = config("app.email_ids.daily_error_log");
            Mail::to($recipients)->send(new DailyErrorLogsReportMail());
        } catch (\Exception $e) {
            $ProductController->errorLog($e, "DAILY-ERROR-LOG-REPORT-CRON");
            report($e);
        }
        Log::info("end => create = DAILY ERROR LOG REPORT CRON");
    }  
}
