<?php

namespace App\Console\Commands\Reports;

use Illuminate\Console\Command;
use App\Http\Controllers\ProductController; 
use Illuminate\Support\Facades\{DB, Log, Mail};
use App\Mail\NotPublishedProductsReportToSalesTeamMail; 


class NotPublishedProductsReportToSalesTeamCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:not-published-products-report-to-sales-team';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Not published products report to sales team';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        try {
            $results = DB::connection('mysql2')->table('shopify_products_new')
            ->select('product_id', 'product_sku', 'product_title', 'handle')
            ->where('published_at', '=', '')->orWhere('published_at', '=', null)
            ->get();
            if($results->count()) {
                $recipients = ['pargat@mobikasa.com'];
                $recipients = config("app.email_ids.products_migration_report");
                Mail::to($recipients)->send(new NotPublishedProductsReportToSalesTeamMail());
            }

        } catch (\Exception $e) {
            $ProductController = new ProductController();
            $ProductController->errorLog($e, "not-published-products-report-to-sales-team");
            report($e);
        }
    }
}
