<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Http\Controllers\ProductController;
use Illuminate\Support\Facades\{DB, Log};

class UnlinkPGIDump extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:unlink-pgi-dump';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        Log::info("Pureflow unlink PGI dump started");
        $createProduct =  new ProductController();
        try {
            $date = date('Ymd', strtotime('-15 day'));
            $DumpDirectory = '/home/pureflownew/public_html/PGI_DUMP_All_Brands';
            $filePaths = [
                $DumpDirectory . '/' . $date . '_DPI_Data_Manager_Dump.zip',
                $DumpDirectory . '/' . $date . '_DPI_Data_Manager_Dump_HighFlow.sql',
                $DumpDirectory . '/' . $date . '_aces_vcdb_live.sql',
                $DumpDirectory . '/' . $date . '_DPI_Data_Manager_Dump_HighFlow.txt',
                $DumpDirectory . '/' . $date . '_aces_vcdb_live.txt',
                $DumpDirectory . '/' . $date . '_DPI_Data_Manager_Loaded.txt',
                $DumpDirectory . '/' . $date . '_DPI_Data_Manager_VCDB_Loaded.txt'
            ];  
            foreach ($filePaths as $filePath) {
                if (file_exists($filePath)) {
                    echo "Found $filePath<br>";
                    unlink($filePath);
                }
            }
        } catch (\Exception $e) {
            $createProduct->errorLog($e, "Pureflow unlink PGI dump");
            report($e);
        }
        Log::info("end => create = Pureflow unlink PGI dump");
    } 
}