<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Http\Controllers\ProductController;
use App\Traits\{AppConstants, MagicConstants};
use Illuminate\Support\Facades\{DB, Log};

class UpdateProducts extends Command
{
    use MagicConstants, AppConstants;
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:update-products';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        Log::info("started => update = pureflow-products-update");
        try {
            $createProduct =  new ProductController();
            $shopifyProductOld = DB::connection('mysql2')->table('shopify_products_new');
            // ->where('product_id', 6031726936224);
            //,'product_id' => '6031726936224'
            $shopifyProductoldCount = $shopifyProductOld->count();
            $limit = 100;
            $page = ZERO; 
            $totalPage = (int)ceil($shopifyProductoldCount / $limit);
            if ($shopifyProductoldCount > ZERO) {
                for ($i = ZERO; $i <= $totalPage; $i++) {
                    if ($shopifyProductOldResult = $shopifyProductOld->skip($page)->take($limit)->get()) {
                        $page += $limit;
                        foreach ($shopifyProductOldResult as $shopifyProductOldRow) {
                            $createProduct->updateProduct($shopifyProductOldRow, TWO, 'Pureflow-Products-Update-Script');
                        }
                    }
                }
            }
        } catch (\Exception $e) {
            $product = new ProductController();
            $product->errorLog($e, "Pureflow-Products-Update-Script");
            report($e);
        }
        Log::info("end => update = Pureflow-Products-Update-Script");
    }
}
