<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection; 
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Illuminate\Support\Facades\{DB};

class CreatedProductsReportExport implements  FromCollection, WithHeadings, ShouldAutoSize, WithStyles
{
    /**
    * @return \Illuminate\Support\Collection
    */

    protected $type;

    public function __construct($type = null)
    {
        $this->type = $type;
    } 

    public function collection()
    {
        $date = date('Y-m-d', strtotime("-1 day")); 
        if($this->type == "INTERNAL") {
            return DB::connection('mysql2')
                    ->table('shopify_products_new')
                    ->select('product_title', 'product_id', 'product_sku')
                    ->select('product_id', 'variant_id', 'product_sku', 'product_title', 'handle')
                    ->where('emailSend', 0)
                    ->get();
        } else {
            return DB::connection('mysql2')->table('shopify_product_report')
                    ->select('product_id', 'variant_id', 'product_sku', 'product_title', 'handle')
                    ->join('shopify_products_new', 'shopify_products_new.product_id', "=", "shopify_product_report.shopify_product_id")
                    ->where('shopify_product_report.created_at', $date)
                    ->where('action', "CREATE") 
                    ->get();
        }
    }

    public function headings(): array
    {
        // Return an array of column headings
        return [
            'Product Id', 'Variant id', 'Product Sku', 'Product Title', 'Handle'
        ];
    }

    public function styles(Worksheet $sheet)
    {
        return [
            // Style the first row (headings) with a gray background
            1 => ['font' => ['bold' => true], 'fill' => ['fillType' => 'solid', 'startColor' => ['rgb' => '#696969']]],
        ];
    }
}
