<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Illuminate\Support\Facades\{DB};


class DailyErrorLogsReportExport implements FromCollection, WithHeadings, ShouldAutoSize, WithStyles
{
    /**
     * @return \Illuminate\Support\Collection
     */

    // protected $type;

    // public function __construct($type = null)
    // {
    //     $this->type = $type;
    // } 


    public function collection()
    { 
        $date = date('Y-m-d', strtotime("-1 day"));
        return DB::connection('mysql2')->table('error_logs')
            ->select('code', 'message', 'cron_name')
            ->where('created_at', ">=", $date . " 00:00:00")
            ->where('created_at', "<=", $date . " 23:59:00")
            ->get();
    }

    public function headings(): array
    {
        // Return an array of column headings
        return [
            'Code', 'Message',  'Cron Name'
        ];
    }

    public function styles(Worksheet $sheet)
    {
        return [
            // Style the first row (headings) with a gray background
            1 => ['font' => ['bold' => true], 'fill' => ['fillType' => 'solid', 'startColor' => ['rgb' => '#696969']]],
        ];
    }
}
