<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Illuminate\Support\Facades\{DB};

class NotPublishedProductsReportToSalesTeamExport implements FromCollection, WithHeadings, ShouldAutoSize, WithStyles
{
    /**
     * @return \Illuminate\Support\Collection
     */

    public function collection()
    { 
        return DB::connection('mysql2')->table('shopify_products_new')
            ->select('product_id', 'product_sku', 'product_title', 'handle')
            ->where('published_at', '=', '')->orWhere('published_at', '=', null)
            ->get();
    }

    public function headings(): array
    {
        // Return an array of column headings
        return [
            'Product Id', 'Product Sku', 'Product Title', 'Handle'
        ];
    }

    public function styles(Worksheet $sheet)
    {
        return [
            // Style the first row (headings) with a gray background
            1 => ['font' => ['bold' => true], 'fill' => ['fillType' => 'solid', 'startColor' => ['rgb' => '#696969']]],
        ];
    }
}
