<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use App\Services\{HelperService};
use App\Traits\AppConstants;



class CreateProductController extends Controller
{
    use AppConstants;
    
    public function createProduct(Request $request)
    {
        try {
            $helperService       = new HelperService();

            $productNumberParts = DB::table('partNumberInfo')
            ->select('part_id', 'partNumber', 'partType')
            ->whereIn('partType', [
                OIL_PAN_DRAIN_PLUG_GASKET,
                OIL_PAN_DRAIN_PLUG
            ])->whereNotIn('partNumber', ['TBA', 'NSC', 'NRC', 'NS', 'NR']);

        } catch (\Exception $e) {
            $helperService->createErrorLog($e, "Pure-flow create product script");
            report($e);
        }
        Log::info("end => create = Pure-flow create product script");
    }
}
