<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class ErrorDetailMail extends Mailable
{
    use Queueable, SerializesModels;
    
    public $errorData; // Property to store the error data

    /**
     * Create a new message instance.
     *
     * @param array $errorData The error data to be passed to the view
     */
    public function __construct(array $errorData)
    {
        $this->errorData = $errorData;
    }


    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Error Detail for dev',
        );
    }

    public function build()
    {
        return $this->view('emails.error_detail')
                ->with(['data' => $this->errorData]); 
    }

    /**
     * Get the message content definition.
     */
    // public function content(): Content
    // {
    //     return new Content(
    //         view: 'view.name',
    //     );
    // }

    /**
     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }
}
