<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware) {
        $middleware->validateCsrfTokens(except: [ 
            'https://pureflownew.pgiproduct.com/pureflow-laravel/public/shopify/webhook/create',
            'https://pureflownew.pgiproduct.com/pureflow-laravel/public/shopify/webhook/delete',
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
